﻿/**
* @author okm
*/
class NicoCloud {
	var tagXML:XML;
	
	public function NicoCloud() {
		var ref = this;
		tagXML = new XML;
		
		tagXML.ignoreWhite = true;
		tagXML.onLoad = function(result:Boolean) {
			if (result) ref.onLoadHandler();
			else 
			  trace("(-_-)");
		}
		
		var url:String = _root["url"];
		if (url != undefined) {
			tagXML.load(url);
		}else{
			tagXML.load("tags.xml");
		}
	}
	
	// XML ロード完了
	public function onLoadHandler() {
		var xmlNodes:Array = tagXML.firstChild.childNodes;
		for (var i = 0; i < xmlNodes.length; i++) {
			var itemObject = new Object;
			var node:XMLNode = xmlNodes[i];
			for (var c_node:XMLNode = node.firstChild; c_node != null; c_node = c_node.nextSibling) {
				itemObject[c_node.nodeName] = c_node.firstChild.nodeValue;
			}
			var tag:Tag = new Tag(_root, i, itemObject["tag"], Number(itemObject["size"]),itemObject["url"]);
			tag.startCloud(true);
		}
	}
	
	public static function main() {
		Stage.align = "TL";
		Stage.scaleMode = "noScale";
		var nico = new NicoCloud();
	}
}